Package org.apache.commons.math3.genetics

# Class ChromosomePair

java.lang.Object
org.apache.commons.math3.genetics.ChromosomePair

public class ChromosomePair extends Object
A pair of `Chromosome` objects.

Since:
  2.0

## Constructor Summary

Constructors
Constructor
Description
`ChromosomePair(Chromosome c1, Chromosome c2)`
Create a chromosome pair.

## Method Summary

Modifier and Type
Method
Description
`Chromosome`
`getFirst()`
Access the first chromosome.
`Chromosome`
`getSecond()`
Access the second chromosome.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ChromosomePair

public ChromosomePair(Chromosome c1, Chromosome c2)
Create a chromosome pair.

Parameters:
  `c1` - the first chromosome.
  `c2` - the second chromosome.

## Method Details

### getFirst

public Chromosome getFirst()
Access the first chromosome.

Returns:
  the first chromosome.

### getSecond

public Chromosome getSecond()
Access the second chromosome.

Returns:
  the second chromosome.

### toString

public String toString()

Overrides:
  `toString` in class `Object`